jif.translate

## Class LabelToJavaExpr_c

- java.lang.Object
- - jif.translate.LabelToJavaExpr_c

- All Implemented Interfaces:
    java.io.Serializable, LabelToJavaExpr
  Direct Known Subclasses:
    CannotLabelToJavaExpr_c, DynamicLabelToJavaExpr_c, JoinLabelToJavaExpr_c, MeetLabelToJavaExpr_c, PairLabelToJavaExpr_c, ProviderLabelToJavaExpr_c

      public abstract class LabelToJavaExpr_c
      extends java.lang.Object
      implements LabelToJavaExpr

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LabelToJavaExpr_c()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.ast.Expr` | `toJava(Label label, JifToJavaRewriter rw, polyglot.ast.Expr thisQualifier)`
    `polyglot.ast.Expr` | `toJava(Label label, JifToJavaRewriter rw, polyglot.ast.Expr thisQualifier, boolean simplify)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LabelToJavaExpr_c

          public LabelToJavaExpr_c()

  - ### Method Detail

    - #### toJava

          public polyglot.ast.Expr toJava(Label label,
                                          JifToJavaRewriter rw,
                                          polyglot.ast.Expr thisQualifier)
                                   throws polyglot.types.SemanticException

      Specified by:
        `toJava` in interface `LabelToJavaExpr`
        `thisQualifier` - an Expr representing the translated "this" reference.
      Throws:
        `polyglot.types.SemanticException`

    - #### toJava

          public polyglot.ast.Expr toJava(Label label,
                                          JifToJavaRewriter rw,
                                          polyglot.ast.Expr thisQualifier,
                                          boolean simplify)
                                   throws polyglot.types.SemanticException

      Specified by:
        `toJava` in interface `LabelToJavaExpr`
        `thisQualifier` - an Expr representing the translated "this" reference.
        `simplify` - whether to attempt to simplify the label when it's constructed at run time.
      Throws:
        `polyglot.types.SemanticException`